View Issue Details

IDProjectCategoryView StatusLast Update
0003444SOGoActiveSyncpublic2016-01-25 10:28
Reporterandre.peters Assigned Toludovic  
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version2.3.6 
Fixed in Version2.3.7 
Summary0003444: Outlook iOS App: wbxml2xmlFromContent: failed when opening attachment
Description

Hi,

I try to open an image attached to a mail in Outlook iOS.

I am not sure if this is really a bug or more a strange behaviour of the app requesting the attachment:

Jan 19 09:22:54 sogod [21704]: [ERROR] <0x0x7f3adf7e9790[NSMutableDataMalloc]> wbxml2xmlFromContent: failed: The character set cannot be found.
Jan 19 09:22:54 sogod [21704]: [ERROR] <0x0x7f3adf7e9790[NSMutableDataMalloc]> Original data written to: /tmp/x_54c8_1c4e29d6_2.data

The data written to disk is about the size of the image, but in a strange format.

Steps To Reproduce

Open an attached JPG file in Outlook for iOS/Android.

TagsNo tags attached.

Activities

ludovic

ludovic

2016-01-22 14:51

administrator   ~0009314

Send me the .eml file privately, as well as the .data file from the /tmp directory.

ludovic

ludovic

2016-01-25 10:28

administrator   ~0009324

https://github.com/inverse-inc/sogo/commit/3f0c2b647cfafa3bf09cf30d4c06261d29330d15

Issue History

Date Modified Username Field Change
2016-01-19 03:30 andre.peters New Issue
2016-01-22 14:51 ludovic Note Added: 0009314
2016-01-25 10:28 ludovic Note Added: 0009324
2016-01-25 10:28 ludovic Status new => resolved
2016-01-25 10:28 ludovic Fixed in Version => 2.3.7
2016-01-25 10:28 ludovic Resolution open => fixed
2016-01-25 10:28 ludovic Assigned To => ludovic